OreCrusherPriceEventFrame = CreateFrame("Frame")
OreCrusherPriceEventFrame:SetScript("OnEvent", function(this, event, ...)
  OreCrusherPriceEvents[event](...)
end)
OreCrusherPriceEventFrame:RegisterEvent("ADDON_LOADED")
OreCrusherPriceEvents = {};

function OreCrusherPriceEvents.ADDON_LOADED(addon)
	if addon ~= "OreCrusher" then return end
	-- Default saved variables
	if not OreCrusherPriceDB.Price52195 then OreCrusherPriceDB.Price52195 = 0 end
	if not OreCrusherPriceDB.Price52194 then OreCrusherPriceDB.Price52194 = 0 end
	if not OreCrusherPriceDB.Price52192 then OreCrusherPriceDB.Price52192 = 0 end
	if not OreCrusherPriceDB.Price52193 then OreCrusherPriceDB.Price52193 = 0 end
	if not OreCrusherPriceDB.Price52190 then OreCrusherPriceDB.Price52190 = 0 end
	if not OreCrusherPriceDB.Price52191 then OreCrusherPriceDB.Price52191 = 0 end
	if not OreCrusherPriceDB.Price52179 then OreCrusherPriceDB.Price52179 = 0 end
	if not OreCrusherPriceDB.Price52177 then OreCrusherPriceDB.Price52177 = 0 end
	if not OreCrusherPriceDB.Price52181 then OreCrusherPriceDB.Price52181 = 0 end
	if not OreCrusherPriceDB.Price52182 then OreCrusherPriceDB.Price52182 = 0 end
	if not OreCrusherPriceDB.Price52180 then OreCrusherPriceDB.Price52180 = 0 end
	if not OreCrusherPriceDB.Price52178 then OreCrusherPriceDB.Price52178 = 0 end
	if not OreCrusherPriceDB.Price52327 then OreCrusherPriceDB.Price52327 = 0 end
	if not OreCrusherPriceDB.Price52555 then OreCrusherPriceDB.Price52555 = 0 end
	if not OreCrusherPriceDB.Price52719 then OreCrusherPriceDB.Price52719 = 0 end
	if not OreCrusherPriceDB.Price52303 then OreCrusherPriceDB.Price52303 = 0 end
	
	OreCrusherEventFrame:UnregisterEvent("ADDON_LOADED")
end
  
function OreCrusher_PriceCheck()
	amberjewel = OreCrusher_AucLowBuy(52195);
	demonseye = OreCrusher_AucLowBuy(52194);
	dreamemerald = OreCrusher_AucLowBuy(52192);
	embertopaz = OreCrusher_AucLowBuy(52193);
	infernoruby = OreCrusher_AucLowBuy(52190);
	oceansapphire = OreCrusher_AucLowBuy(52191);
	alicite = OreCrusher_AucLowBuy(52179);
	carnelian = OreCrusher_AucLowBuy(52177);
	hessonite = OreCrusher_AucLowBuy(52181);
	jasper = OreCrusher_AucLowBuy(52182);
	nightstone = OreCrusher_AucLowBuy(52180);
	zephyrite = OreCrusher_AucLowBuy(52178);
	volearth = OreCrusher_AucLowBuy(52327);
	hypnoticdust = OreCrusher_AucLowBuy(52555);
	greaterceles = OreCrusher_AucLowBuy(52719);
	shadowspirit = OreCrusher_AucLowBuy(52303);
end
  
function OreCrusher_AucLowBuy(itemId)
	local lowBuy
	if not AucAdvanced or OreCrusherDB.AltBuyout == 1 then
		lowBuy = GetAuctionBuyout(itemId);
	else
		lowBuy = select(6, AucAdvanced.Modules.Util.SimpleAuction.Private.GetItems(itemId));
	end
	if lowBuy == nil then
		lowBuy = OreCrusherPriceDB["Price"..itemId]
		local itemName = select(1, GetItemInfo(itemId))
		print("OreCrusher: Could not get price for item " .. itemName .. ".  Using last known price of |ccfffffff" .. OreCrusher_GoldSplit(lowBuy, 1) .. "|cffffd700g|r" .. OreCrusher_GoldSplit(lowBuy, 2) .. "|cffc0c0c0s");
	else
		OreCrusherPriceDB["Price"..itemId] = lowBuy
	end
		
	return lowBuy
end